import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'green');
circle.attr('stroke', 'black');

const eyeSpacing = 101;
const eyeYOffset = -89;
const eyeRadius = 20;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 

const leftEar = svg.append('path')
  .attr('d', 'M270,210 Q150,105 200,0')
  .attr('fill', 'red')
  .attr('stroke', 'black')
  .attr('transform', 'rotate(50, 220, 165)');

const rightEar = svg.append('path')
  .attr('d', 'M520 240 Q560,135 450,0')
  .attr('fill', 'red')
  .attr('stroke', 'black')
  .attr('transform', 'rotate(-20, 550, -355)');

//add teeth to the face
const teeth = g.append('g')
  .attr('transform', 'translate(0, 100)');

teeth.selectAll('rect')
  .data([0, 1, 2])
  .enter()
  .append('rect')
  .attr('x', (d) => - + d * 20)
  .attr('y', -5)
  .attr('width', 20)
  .attr('height', 30)
  .attr('fill', 'white')
  .attr('stroke', 'black');



const frownyG = g
	.append('g')
		.attr('transform', `translate(0, 40)`)
const mouth = frownyG
	.append('path')
		.attr('d', arc()({
    	innerRadius: 40,
  		outerRadius: 60,
  		startAngle: Math.PI*-1/2,
  		endAngle: Math.PI *1/2
    }));











